Subject: [OSPF] Poll for implementations supporting Link Local Identifier exchange using link scope TI-LSA (RFC 4203)

From: Peter Psenak <[email-masked]>
Date: Wed, 10 May 2017 14:59:38 +0200

Hi,

we are planning to add the backward compatibility section to
draft-ppsenak-ospf-lls-interface-id as suggested on the list, but we 
wanted to assure that there are, in fact, implementations that use the 
mechanism defined in RFC 4203 for interface ID discovery.

Section 3 of the RFC 4203 defines a "Link Local" TLV and "Link Local 
Identifier" sub-TLV to be used to exchange the Link Local Identifier on 
the unnumbered link. Interestingly enough there is no IANA registry for 
the sub-TLVs of "Link Local" TLV, nor is there any value reserved for 
the "Link Local Identifier" sub-TLV through IANA.

Considering above, I would like to poll the WG to see how many 
implementations are actually supporting the Link Local Identifier 
exchange using the link scope TE-LSA as specified in section 3 of the 
RFC 4203.

thanks,
Peter